#############################################################################
# Makefile for building: libqsqlibase.so
# Generated by qmake (1.07a) (Qt 3.3.4) on: Thu Apr  5 16:19:01 2007
# Project:  ibase.pro
# Template: lib
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile ibase.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -fno-exceptions -Wall -W -O2 -D_REENTRANT -fPIC  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -fno-exceptions -Wall -W -O2 -D_REENTRANT -fPIC  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt/mkspecs/linux-g++ -I. -I/usr/include/freetype2 -I../../../../include -I/usr/X11R6/include -I/usr/X11R6/include -I.moc/release-shared-mt/
LINK     = g++
LFLAGS   = -fno-exceptions  -Wl,-rpath,/usr/lib/qt/lib -shared -Wl,-rpath,/usr/lib/qt/plugins/sqldrivers
LIBS     = $(SUBLIBS) -L/usr/lib/qt/lib -L/usr/X11R6/lib -L/usr/X11R6/lib -lgds -lqt-mt -lmng -ljpeg -lpng -lz -lGLU -lGL -lXmu -lXrender -lXrandr -lXcursor -lXinerama -lXft -lfreetype -lfontconfig -lXext -lX11 -lm -lSM -lICE -ldl -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/lib/qt/bin/moc
UIC      = /usr/lib/qt/bin/uic -L /usr/lib/qt/plugins
QMAKE    = /usr/lib/qt/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = ../../../../src/sql/drivers/ibase/qsql_ibase.h
SOURCES = main.cpp \
		../../../../src/sql/drivers/ibase/qsql_ibase.cpp
OBJECTS = .obj/main.o \
		.obj/qsql_ibase.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ibase.pro
QMAKE_TARGET = qsqlibase
DESTDIR  = ../../../sqldrivers/
TARGET   = libqsqlibase.so
TARGETD   = libqsqlibase.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../../../sqldrivers/$(TARGET)

../../../sqldrivers/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../../../sqldrivers/ || mkdir -p ../../../sqldrivers/
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../sqldrivers/



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd /usr/lib/qt/src/moc && $(MAKE) )

Makefile: ibase.pro ../../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf ../../../../lib/libqt-mt.prl
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile ibase.pro
qmake: 
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile ibase.pro

dist: 
	@mkdir -p .obj/qsqlibase && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/qsqlibase/ && ( cd `dirname .obj/qsqlibase` && $(TAR) qsqlibase.tar qsqlibase && $(GZIP) qsqlibase.tar ) && $(MOVE) `dirname .obj/qsqlibase`/qsqlibase.tar.gz . && $(DEL_FILE) -r .obj/qsqlibase

mocclean:

uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../sqldrivers/$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp ../../../../src/sql/drivers/ibase/qsql_ibase.h \
		../../../../src/sql/drivers/cache/qsqlcachedresult.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/qsql_ibase.o: ../../../../src/sql/drivers/ibase/qsql_ibase.cpp ../../../../src/sql/drivers/ibase/qsql_ibase.h \
		../../../../src/sql/drivers/cache/qsqlcachedresult.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qsql_ibase.o ../../../../src/sql/drivers/ibase/qsql_ibase.cpp

####### Install

install_target: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)../../../sqldrivers/" || $(MKDIR) "$(INSTALL_ROOT)../../../sqldrivers/"
	-$(INSTALL_FILE) "../../../sqldrivers/$(TARGET)" "$(INSTALL_ROOT)../../../sqldrivers/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)../../../sqldrivers/$(TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)../../../sqldrivers/$(TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)../../../sqldrivers/"


install: install_target  

uninstall: uninstall_target  

